alt.javax.mail

## Class MessageImpl

- java.lang.Object
- - alt.javax.mail.MessageImpl

- All Implemented Interfaces:
    Message
  Direct Known Subclasses:
    MimeMessageImpl

      public class MessageImpl
      extends java.lang.Object
      implements Message

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageImpl(javax.mail.Message message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFrom(Address[] addresses)`
    `void` | `addHeader(java.lang.String s, java.lang.String s1)`
    `void` | `addRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
    `java.util.Enumeration` | `getAllHeaders()`
    `java.lang.Object` | `getContent()`
    `java.lang.String` | `getContentType()`
    `javax.activation.DataHandler` | `getDataHandler()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getDisposition()`
    `java.lang.String` | `getFileName()`
    `Flags` | `getFlags()`
    `Address[]` | `getFrom()`
    `java.lang.String[]` | `getHeader(java.lang.String s)`
    `java.io.InputStream` | `getInputStream()`
    `int` | `getLineCount()`
    `java.util.Enumeration` | `getMatchingHeaders(java.lang.String[] strings)`
    `java.util.Enumeration` | `getNonMatchingHeaders(java.lang.String[] strings)`
    `javax.mail.Message` | `getRealMessage()`
    `java.util.Date` | `getReceivedDate()`
    `Address[]` | `getRecipients(javax.mail.Message.RecipientType type)`
    `java.util.Date` | `getSentDate()`
    `int` | `getSize()`
    `java.lang.String` | `getSubject()`
    `boolean` | `isMimeType(java.lang.String s)`
    `void` | `removeHeader(java.lang.String s)`
    `Message` | `reply(boolean b)`
    `void` | `saveChanges()`
    `void` | `setContent(Multipart multipart)`
    `void` | `setContent(java.lang.Object o, java.lang.String s)`
    `void` | `setDataHandler(javax.activation.DataHandler handler)`
    `void` | `setDescription(java.lang.String s)`
    `void` | `setDisposition(java.lang.String s)`
    `void` | `setFileName(java.lang.String s)`
    `void` | `setFlags(Flags flags, boolean b)`
    `void` | `setFrom()`
    `void` | `setFrom(Address address)`
    `void` | `setHeader(java.lang.String s, java.lang.String s1)`
    `void` | `setRecipients(javax.mail.Message.RecipientType type, Address[] addresses)`
    `void` | `setSentDate(java.util.Date date)`
    `void` | `setSubject(java.lang.String s)`
    `void` | `setText(java.lang.String s)`
    `void` | `writeTo(java.io.OutputStream stream)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageImpl

          public MessageImpl(javax.mail.Message message)

  - ### Method Detail

    - #### getRealMessage

          public javax.mail.Message getRealMessage()

      Specified by:
        `getRealMessage` in interface `Message`

    - #### getFrom

          public final Address[] getFrom()
                                  throws MessagingException

      Specified by:
        `getFrom` in interface `Message`
      Throws:
        `MessagingException`

    - #### setFrom

          public final void setFrom()
                             throws MessagingException

      Specified by:
        `setFrom` in interface `Message`
      Throws:
        `MessagingException`

    - #### setFrom

          public final void setFrom(Address address)
                             throws MessagingException

      Specified by:
        `setFrom` in interface `Message`
      Throws:
        `MessagingException`

    - #### addFrom

          public final void addFrom(Address[] addresses)
                             throws MessagingException

      Specified by:
        `addFrom` in interface `Message`
      Throws:
        `MessagingException`

    - #### getRecipients

          public final Address[] getRecipients(javax.mail.Message.RecipientType type)
                                        throws MessagingException

      Specified by:
        `getRecipients` in interface `Message`
      Throws:
        `MessagingException`

    - #### setRecipients

          public final void setRecipients(javax.mail.Message.RecipientType type,
                                          Address[] addresses)
                                   throws MessagingException

      Specified by:
        `setRecipients` in interface `Message`
      Throws:
        `MessagingException`

    - #### addRecipients

          public final void addRecipients(javax.mail.Message.RecipientType type,
                                          Address[] addresses)
                                   throws MessagingException

      Specified by:
        `addRecipients` in interface `Message`
      Throws:
        `MessagingException`

    - #### getSubject

          public final java.lang.String getSubject()
                                            throws MessagingException

      Specified by:
        `getSubject` in interface `Message`
      Throws:
        `MessagingException`

    - #### setSubject

          public final void setSubject(java.lang.String s)
                                throws MessagingException

      Specified by:
        `setSubject` in interface `Message`
      Throws:
        `MessagingException`

    - #### getSentDate

          public final java.util.Date getSentDate()
                                           throws MessagingException

      Specified by:
        `getSentDate` in interface `Message`
      Throws:
        `MessagingException`

    - #### setSentDate

          public final void setSentDate(java.util.Date date)
                                 throws MessagingException

      Specified by:
        `setSentDate` in interface `Message`
      Throws:
        `MessagingException`

    - #### getReceivedDate

          public final java.util.Date getReceivedDate()
                                               throws MessagingException

      Specified by:
        `getReceivedDate` in interface `Message`
      Throws:
        `MessagingException`

    - #### getFlags

          public final Flags getFlags()
                               throws MessagingException

      Specified by:
        `getFlags` in interface `Message`
      Throws:
        `MessagingException`

    - #### setFlags

          public final void setFlags(Flags flags,
                                     boolean b)
                              throws MessagingException

      Specified by:
        `setFlags` in interface `Message`
      Throws:
        `MessagingException`

    - #### reply

          public final Message reply(boolean b)
                              throws MessagingException

      Specified by:
        `reply` in interface `Message`
      Throws:
        `MessagingException`

    - #### saveChanges

          public final void saveChanges()
                                 throws MessagingException

      Specified by:
        `saveChanges` in interface `Message`
      Throws:
        `MessagingException`

    - #### getSize

          public final int getSize()
                            throws MessagingException

      Specified by:
        `getSize` in interface `Message`
      Throws:
        `MessagingException`

    - #### getLineCount

          public final int getLineCount()
                                 throws MessagingException

      Specified by:
        `getLineCount` in interface `Message`
      Throws:
        `MessagingException`

    - #### getContentType

          public final java.lang.String getContentType()
                                                throws MessagingException

      Specified by:
        `getContentType` in interface `Message`
      Throws:
        `MessagingException`

    - #### isMimeType

          public final boolean isMimeType(java.lang.String s)
                                   throws MessagingException

      Specified by:
        `isMimeType` in interface `Message`
      Throws:
        `MessagingException`

    - #### getDisposition

          public final java.lang.String getDisposition()
                                                throws MessagingException

      Specified by:
        `getDisposition` in interface `Message`
      Throws:
        `MessagingException`

    - #### setDisposition

          public final void setDisposition(java.lang.String s)
                                    throws MessagingException

      Specified by:
        `setDisposition` in interface `Message`
      Throws:
        `MessagingException`

    - #### getDescription

          public final java.lang.String getDescription()
                                                throws MessagingException

      Specified by:
        `getDescription` in interface `Message`
      Throws:
        `MessagingException`

    - #### setDescription

          public final void setDescription(java.lang.String s)
                                    throws MessagingException

      Specified by:
        `setDescription` in interface `Message`
      Throws:
        `MessagingException`

    - #### getFileName

          public final java.lang.String getFileName()
                                             throws MessagingException

      Specified by:
        `getFileName` in interface `Message`
      Throws:
        `MessagingException`

    - #### setFileName

          public final void setFileName(java.lang.String s)
                                 throws MessagingException

      Specified by:
        `setFileName` in interface `Message`
      Throws:
        `MessagingException`

    - #### getInputStream

          public final java.io.InputStream getInputStream()
                                                   throws java.io.IOException,
                                                          MessagingException

      Specified by:
        `getInputStream` in interface `Message`
      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### getDataHandler

          public final javax.activation.DataHandler getDataHandler()
                                                            throws MessagingException

      Specified by:
        `getDataHandler` in interface `Message`
      Throws:
        `MessagingException`

    - #### getContent

          public final java.lang.Object getContent()
                                            throws java.io.IOException,
                                                   MessagingException

      Specified by:
        `getContent` in interface `Message`
      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### setDataHandler

          public final void setDataHandler(javax.activation.DataHandler handler)
                                    throws MessagingException

      Specified by:
        `setDataHandler` in interface `Message`
      Throws:
        `MessagingException`

    - #### setContent

          public final void setContent(java.lang.Object o,
                                       java.lang.String s)
                                throws MessagingException

      Specified by:
        `setContent` in interface `Message`
      Throws:
        `MessagingException`

    - #### setText

          public final void setText(java.lang.String s)
                             throws MessagingException

      Specified by:
        `setText` in interface `Message`
      Throws:
        `MessagingException`

    - #### setContent

          public final void setContent(Multipart multipart)
                                throws MessagingException

      Specified by:
        `setContent` in interface `Message`
      Throws:
        `MessagingException`

    - #### writeTo

          public final void writeTo(java.io.OutputStream stream)
                             throws java.io.IOException,
                                    MessagingException

      Specified by:
        `writeTo` in interface `Message`
      Throws:
        `java.io.IOException`
        `MessagingException`

    - #### getHeader

          public final java.lang.String[] getHeader(java.lang.String s)
                                             throws MessagingException

      Specified by:
        `getHeader` in interface `Message`
      Throws:
        `MessagingException`

    - #### setHeader

          public final void setHeader(java.lang.String s,
                                      java.lang.String s1)
                               throws MessagingException

      Specified by:
        `setHeader` in interface `Message`
      Throws:
        `MessagingException`

    - #### addHeader

          public final void addHeader(java.lang.String s,
                                      java.lang.String s1)
                               throws MessagingException

      Specified by:
        `addHeader` in interface `Message`
      Throws:
        `MessagingException`

    - #### removeHeader

          public final void removeHeader(java.lang.String s)
                                  throws MessagingException

      Specified by:
        `removeHeader` in interface `Message`
      Throws:
        `MessagingException`

    - #### getAllHeaders

          public final java.util.Enumeration getAllHeaders()
                                                    throws MessagingException

      Specified by:
        `getAllHeaders` in interface `Message`
      Throws:
        `MessagingException`

    - #### getMatchingHeaders

          public final java.util.Enumeration getMatchingHeaders(java.lang.String[] strings)
                                                         throws MessagingException

      Specified by:
        `getMatchingHeaders` in interface `Message`
      Throws:
        `MessagingException`

    - #### getNonMatchingHeaders

          public final java.util.Enumeration getNonMatchingHeaders(java.lang.String[] strings)
                                                            throws MessagingException

      Specified by:
        `getNonMatchingHeaders` in interface `Message`
      Throws:
        `MessagingException`

Copyright © 2002 Mock Objects. All Rights Reserved.